/*
Theme Name: GeneratePress Child
Theme URI: https://generatepress.com
Description: GeneratePress Child Theme
Author: Your Name
Template: generatepress
Version: 1.0
*/

/* Add your custom CSS below */

.custom-post-header {
    max-width: 100%;
    margin: 50px auto 0;
    padding: 0 20px;
}

.custom-featured-image {
    margin-bottom: 35px;
    overflow: hidden;
}

.custom-featured-image img {
    display: block;
    width: 100%;
    height: 500px; /* Change to any height you like */
    object-fit: cover;
    border-radius: 15px;
}

.custom-post-title {
    font-family: "Playfair Display", serif;
    font-size: 28px;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    margin: 0;
}

.custom-post-date {
    text-align: center;
    font-size: 14px;
    color: #777;
    margin-top: 15px;
    font-family: "Playfair Display", serif;
}

/* Hide the default GeneratePress post title */
.single-post .entry-header {
    display: none;
}

/* Remove space between custom title and content */
.single-post .entry-content {
    margin-top: 20;
    padding-top: 0;
}

.single-post .entry-content > :first-child {
    margin-top: 0;
}

.related-posts {
    margin-top: 15px;
    padding-top: 15px;
    border-top: 1px solid #ddd;
}

.book-now {
    animation: book-now-pulse 2s infinite ease-in-out;
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.5);
}

@keyframes book-now-pulse {

    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.5);
    }

    50% {
        transform: scale(1.08);
        box-shadow: 0 0 20px 10px rgba(255, 255, 255, 0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
    }

}

header .hfe-nav-menu .hfe-menu-item {
  position: relative;
}

header .hfe-nav-menu .hfe-menu-item:after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 10px;
  translate: -50% 0;
  width: 30px;
  height: 2px;
  background: #5A4032 !important;
  transition: 0.2s ease all;
  opacity: 0;
}

header .hfe-nav-menu .hfe-menu-item:hover:after,
header .current-menu-item .hfe-menu-item:after {
  opacity: 1 !important;
  bottom: 0;
}